SparrowDesk
Companies

List all companies

GET
/companies
AuthorizationBearer <token>

In: header

Query Parameters

starting_after?string|null

Cursor for pagination (only needed for subsequent pages)

per_page?integer|null

Number of items per page (1-100, default 25)

Default25
Range1 <= value <= 100
domain?string|null

Filter companies by exact domain, matched against any of the company's domains

name?string|null

Filter companies by exact name

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/companies"
{
  "data": [
    {
      "id": 0,
      "name": "string",
      "domains": [
        "string"
      ],
      "domain": "string",
      "logo": "string",
      "industry": "string",
      "phone": "string",
      "address": "string",
      "notes": "string",
      "other_details": {},
      "total_contacts_linked": 0,
      "created_at": 0,
      "updated_at": 0,
      "company_note": [
        {
          "id": 0,
          "title": "string",
          "description": "string",
          "attachments": [
            {
              "id": 0,
              "url": "string",
              "file_name": "string",
              "content_type": "string",
              "size": 0,
              "status": "string"
            }
          ]
        }
      ]
    }
  ],
  "pages": {
    "per_page": 0,
    "next_cursor": "string",
    "next_url": "string"
  },
  "total_count": 0
}
{
  "error": {
    "message": "Invalid query parameters"
  }
}
{
  "message": "Unauthorized"
}
{
  "error": {
    "message": "string"
  }
}
{
  "name": "RateLimitExceeded",
  "message": "Rate limit exceeded for: APIS_PER_MINUTE",
  "code": 429,
  "details": [
    {
      "name": "APIS_PER_MINUTE",
      "quota": 0,
      "count": 0,
      "remaining": 0
    }
  ]
}
{
  "error": {
    "message": "Error while retrieving companies"
  }
}